#ifndef HITRESULT_H_INCLUDED
#define HITRESULT_H_INCLUDED

class HitResult {

  public :
    int x;
    int y;
    int z;

    int type;
    int face;

    /**
     * Target tile over mouse
     *
     * @param x    Tile position x
     * @param y    Tile position y
     * @param z    Tile position z
     * @param type Type of result
     * @param face Face id of the tile
     */
    HitResult(int x, int y, int z, int type, int face) : x(x), y(y), z(z), type(type), face(face) {}
};

#endif // HITRESULT_H_INCLUDED
