#ifndef TILE_H_INCLUDED
#define TILE_H_INCLUDED

#include "Tesselator.h"
#include "Level.h"

class Tile {

	private :

    int textureId;

	public :
    static Tile grass;
    static Tile rock;

    Tile(int textureId) : textureId(textureId) {

    }

    void render(Tessellator tessellator, Level &level, int layer, int x, int y, int z);

    void renderFace(Tessellator tessellator, int x, int y, int z, int face);
};

#endif // TILE_H_INCLUDED
