#ifndef KEYBOARD_H
#define KEYBOARD_H


class Keyboard
{
    public:
        Keyboard(Keyboard &a) : Keys(a.Keys), doDestruct(false) {}
        Keyboard() : Keys(new bool[256]), doDestruct(true) {}
        ~Keyboard() {
            if(doDestruct)
                delete Keys;
        }

        void setPressed(unsigned char key, bool pressed) {
            Keys[key] = pressed;
        }

        bool isPressed(unsigned char key) {
            return Keys[key];
        }

    protected:

    private:
        Keyboard &operator=(const Keyboard &a) {(void) a; return *this;}
        bool *Keys;
        bool doDestruct;
};

#endif // KEYBOARD_H
